/*
 * Note: this file originally auto-generated by mib2c using
 *       version $ of $
 *
 * $Id:$
 */
#ifndef DOT1DSTATICTABLE_DATA_ACCESS_H
#define DOT1DSTATICTABLE_DATA_ACCESS_H

#ifdef __cplusplus
extern "C" {
#endif


/* *********************************************************************
 * function declarations
 */

/* *********************************************************************
 * Table declarations
 */
/**********************************************************************
 **********************************************************************
 ***
 *** Table dot1dStaticTable
 ***
 **********************************************************************
 **********************************************************************/
/*
 * BRIDGE-MIB::dot1dStaticTable is subid 1 of dot1dStatic.
 * Its status is Current.
 * OID: .1.3.6.1.2.1.17.5.1, length: 9
*/


    int dot1dStaticTable_init_data(dot1dStaticTable_registration * dot1dStaticTable_reg);


    /*
     * TODO:180:o: Review dot1dStaticTable cache timeout.
     * The number of seconds before the cache times out
     */
#define DOT1DSTATICTABLE_CACHE_TIMEOUT   60

void dot1dStaticTable_container_init(netsnmp_container **container_ptr_ptr,
                             netsnmp_cache *cache);
void dot1dStaticTable_container_shutdown(netsnmp_container *container_ptr);

int dot1dStaticTable_container_load(netsnmp_container *container);
void dot1dStaticTable_container_free(netsnmp_container *container);

int dot1dStaticTable_cache_load(netsnmp_container *container);
void dot1dStaticTable_cache_free(netsnmp_container *container);

    /*
    ***************************************************
    ***             START EXAMPLE CODE              ***
    ***---------------------------------------------***/
/* *********************************************************************
 * Since we have no idea how you really access your data, we'll go with
 * a worst case example: a flat text file.
 */
#define MAX_LINE_SIZE 256
    /*
    ***---------------------------------------------***
    ***              END  EXAMPLE CODE              ***
    ***************************************************/
    int dot1dStaticTable_row_prep( dot1dStaticTable_rowreq_ctx *rowreq_ctx);



#ifdef __cplusplus
}
#endif

#endif /* DOT1DSTATICTABLE_DATA_ACCESS_H */
